# Преглед на колоните (Columns Review) #

* Автор: Alberto Buffolino, Łukasz Golonka, други сътрудници
* Изтегляне на [стабилна версия][stable]
* Изтегляне на [тестова версия][dev]
* Съвместимост с NVDA: от 2017.3 и по-нови версии

"Преглед на колоните" е добавка за подобряване работата на NVDA със списъци.

Включва следните функции:

* Персонализирани действия върху заглавката на колоната и/или съдържанието
  (наличните действия са прочитане, копиране, спелуване и показване в режим
  на разглеждане);
* възможност за обхождане на колоните на интервали от по десет;
* опростено управление на заглавки (щраквания с мишката);
* Докладване по заявка на относителната текуща позиция на елемента (например
  елемент 7 от 10);
* персонализирани жестове със или без цифровия блок;
* Съобщение "0 елемента", когато списъкът е празен (за съжаление не работи
  във файловия мениджър на Windows 8/10);
* Поддръжка за прочитане на всичко;
* Докладване на избраните елементи (количеството и имената на елементите);
* търсене в списъка (с множествен избор, ако е включено/се поддържа).

## Жестове

Клавишите по подразбиране за колони, заглавки и позиция са NVDA+Control, но
можете да ги персонализирате от настройките на добавката (не диалоговия
прозорец "Жестове на въвеждане"!).

Имайте предвид, че клавиатурата ви може да има проблеми при обработката на
някои комбинации от клавиши, така че изпробвайте всички жестове на добавката
и при необходимост ги променете, за по-добри резултати.

Вижте също така настройките на добавката за режима на цифровия блок,
подредба на клавиатурата (без цифров блок) и четирите налични действия за
колони.

* NVDA+Control+цифрите от 1 до 0 (клавиатурен режим) или от 1 до 9 (режим на
  цифров блок): По подразбиране, еднократното натискане прочита избраната
  колона, а двукратното натискане копира съдържанието й в клипборда;
* NVDA+Control+Минус от цифровия блок (режим на цифров блок): Като
  NVDA+Control+0 в клавиатурен режим, прочита или копира 10-та, 20-та и
  т.н. колона;
* NVDA+Control+Минус (клавиатурна подредба "Английски (САЩ)", клавиатурен
  режим): В списък с над 10 колони можете да променяте обхвата и да четете
  колони от 11 до 20, от 21 до 30 и т.н. Вижте настройките, за да промените
  последния знак (клавиш) според използваната от вас клавиатурна подредба;
* NVDA+Control+Плюс от цифровия блок (режим на цифров блок): Същото като
  предишната команда;
* NVDA+Control+Enter (или Enter от цифровия блок при режим на цифров блок):
  Отваря диспечера за управление на заглавките на колоните;
* NVDA+Control+Delete (Delete от цифровия блок в режим на цифров блок):
  Докладване относителната позиция на текущия елемент (например елемент 7 от
  10);
* Стрелките и NVDA+TAB (в празен списък): Повтаряне на съобщението "0
  елемента".
* NVDA+Стрелка надолу (настолна подредба) или NVDA+A (лаптоп подредба):
  Прочитане на всичко (този жест зависи от оригиналния под "Жестове на
  въвеждане" -> "Каретка");
* NVDA+Shift+Стрелка нагоре (настолна подредба) или NVDA+Shift+S (лаптоп
  подредба): Докладване на количеството и имената на текущо избраните
  елементи от списъка (може да се персонализира като предишната команда);
* NVDA+Control+F: Отваря диалоговия прозорец за търсене (не може да се
  персонализира);
* NVDA+F3: Намиране на следващо съвпадение на предходно въведения текст (не
  може да се персонализира);
* NVDA+Shift+F3: Намиране на предишно съвпадение (не може да се
  персонализира).

## Поддръжка

Тази добавка предоставя обща поддръжка за по-често срещани списъци (вижте
по-долу) и някои специфични приложения. Основният й разработчик (Alberto
Buffolino) не може да гарантира съвместимост/функционалност с тези
приложения, които не използва, като Outlook и Windows Mail, но с удоволствие
ще си сътрудничи с техните потребители или ще приеме заявка за принос (pool
request) за тях.

Поддържаните списъци са:

* SysListView32;
* DirectUIHWND (налично в 64-битови системи);
* WindowsForms10.SysListView32.* (приложения, които използват .NET);
* Дървовиден изглед с няколко колони, какъвто е наличен в RSSOwlnix;
* Таблици на Mozilla (обикновено списъците със съобщения в Thunderbird,
  поддържа се групирането по дискусии).


[[!tag dev stable]]


[stable]: https://www.nvaccess.org/addonStore/legacy?file=cr

[dev]: https://www.nvaccess.org/addonStore/legacy?file=cr-dev
