# Columns Review (Огляд Стовпців) #

* Автори: Alberto Buffolino, Łukasz Golonka, інші учасники
* Завантажити [стабільну версію][stable]
* Завантажити [версію в розробці][dev]
* Сумісність з NVDA: 2017.3 і пізніші

Columns Review — це додаток для покращення роботи зі списками в NVDA.

Він має такі особливості:

* настроювані дії над заголовком стовпця або вмістом (доступні дії читання,
  копіювання, зміни та показу в режимі огляду);
* можливість перемикатися між колонками з інтервалом десять на десять;
* спрощене керування заголовками (клацання мишкою);
* зчитування на вимогу відносної поточної позиції  (тобто: елемент 7 із 10);
* настроювані жести з цифровим блоком або без нього;
* «0 елементів» повідомляється, коли список порожній (на жаль, не працює в
  папках Windows 8/10);
* підтримка функції «читати все»;
* оголошення  вибраних елементів (кількість та назви елементів);
* пошук у списку (з множинним вибором елементів, якщо
  позначено/підтримується).

## Жести

Стандартні Клавіші для стовпців, заголовків і позицій — це NVDA+control, але
їх можна замінити у налаштуваннях додатка (а не в діалоговому вікні «Жести
вводу»!).

Зверніть увагу, що на вашій клавіатурі можуть виникнути проблеми з
натисканням деяких комбінацій клавіш, тому спробуйте всі додаткові жести та
налаштуйте їх для кращого результату.

Перегляньте також параметри додатка для режиму цифрового блоку, розкладки
клавіатури (без цифрового блоку) та чотирьох доступних дій для стовпців.

* NVDA+control + цифри від 1 до 0 (в режимі клавіатури) або від 1 до 9 (в
  режимі цифрового блоку): початково читає вибраний стовпець, якщо натиснути
  один раз, і копіює його, якщо натиснути двічі;
* NVDA+ctrl+ Мінус (в режимі цифрового блоку): або NVDA+ctrl+0 у режимі
  клавіатури: читання або копіювання 10-го, 20-го тощо стовпців;
* NVDA+control+- (в режимі клавіатури, розкладка EN-US): у списку з 10і
  більше стовпців змінює інтервал і і обробку стовпців від 11 до 20, від 21
  до 30 тощо (в налаштуваннях змініть останній символ відповідно до вашої
  розкладки);
* NVDA+ctrl+numpad Plus (у режимі numpad): так само, як попередня
  комбінація;
* NVDA+control+enter (numpadEnter у режимі цифрового блоку): відкрити
  керування заголовками;
* NVDA+control+delete (numpadDelete в режимі цифрового блоку): читання
  відносної поточної позиції елемента (наприклад: елемент 7 з 10);
* Стрілки і  NVDA+tab (у порожньому списку): повторити повідомлення «0
  елементів»;
* NVDA+стрілка вниз (для розкладки desktop) або NVDA+a (для розкладки
  laptop): озвучити все (цей жест залежить від оригінального в розділі
  «Жести вводу»/«Системна каретка»);
* NVDA+shift+стрілка вгору (розкладка desktop) або NVDA+shift+s (розкладка
  laptop): промовляє кількість та назви поточних вибраних елементів списку
  (налаштовується так само, як попередня комбінація);
* NVDA+control+f: відкрити діалог пошуку (не налаштовується);
* NVDA+f3: знайти наступний результат пошуку раніше введеного тексту (не
  налаштовується);
* NVDA+shift+f3: знайти попередній результат пошуку (не налаштовується).

## Підтримка

Цей додаток забезпечує загальну підтримку поширених списків (див. нижче) та
деяких конкретних програм. Основний автор (Alberto Buffolino) не може
гарантувати сумісність/функціональність тих програм, якими він не
користується, наприклад Outlook і Windows Mail, але він із задоволенням
співпрацюватиме з користувачами цих програм або прийме від них запит.

Підтримувані списки:

* SysListView32;
* DirectUIHWND (присутній в 64-розрядних системах);
* WindowsForms10.SysListView32.* (програми, які використовують .NET);
* перегляд дерева з багатьма стовпцями, як в RSSOwlnix;
* Таблиця Mozilla (зазвичай список повідомлень у Thunderbird, підтримуються
  групові бесіди).


[[!tag dev stable]]


[stable]: https://www.nvaccess.org/addonStore/legacy?file=cr

[dev]: https://www.nvaccess.org/addonStore/legacy?file=cr-dev
